#include <Servo.h>
Servo ServoHochRunter;
Servo ServoAuswahl;
int WinkelHochRunterStart = 101;
int WinkelAuswahlStart = 127;
int Zufallszahl = 0;
int HilfsZufallszahl = 0;
int PINnaeherungsschalter = 13;
boolean SIGNALnaeherungsschalter = false;
int LEDservoanschaltung = 8;
int Verzoegerungszeit = 600;
int WinkelAuswahl[10] = {-12, -9, -6, -3, 0, 3, 6, 9, 12, 14};
int WinkelHochRunter[10] = {-36, -37, -41, -35, -35, -40, -37, -32, -35, -34};

void setup()
{ 
  // Servos mit Pins verknuepfen
  ServoHochRunter.attach(9);
  ServoAuswahl.attach(10);
  
  // Anschalten der Stromversorgung für die Servos
  digitalWrite(LEDservoanschaltung, HIGH);
  
  // Startposition anfahren
  ServoHochRunter.write(WinkelHochRunterStart);
  delay(Verzoegerungszeit/12);
  ServoAuswahl.write(WinkelAuswahlStart);
  delay(Verzoegerungszeit/12);
  
  // Zufallszahl für den Start erzeugen
  Zufallszahl = random(9);
  
  // Ein-, Ausgänge konfigurieren
  pinMode(PINnaeherungsschalter,INPUT);
  pinMode(LEDservoanschaltung, OUTPUT);
}

void loop()
{ 
  // Anschalten der Stromversorgung für die Servos
  digitalWrite(LEDservoanschaltung, HIGH);
  
  // Anheben des per Zufall ausgewaehlten Bildes
      ServoHochRunter.write(WinkelHochRunterStart);
      delay(Verzoegerungszeit);
      ServoAuswahl.write(WinkelAuswahlStart+WinkelAuswahl[Zufallszahl]);
      delay(Verzoegerungszeit); 
      ServoHochRunter.write(WinkelHochRunterStart+WinkelHochRunter[Zufallszahl]);
      delay(Verzoegerungszeit);
  
  // Ausschalten der Stromversorgung für die Servos
  digitalWrite(LEDservoanschaltung, LOW);
  
  // Auswertung Signal Naeherungsschalter
  do
     SIGNALnaeherungsschalter =      	digitalRead(PINnaeherungsschalter);
  while
     (SIGNALnaeherungsschalter != true);
   
  // Neue, ungleiche Zufallszahl erzeugen
  do 
     HilfsZufallszahl = random(9);
  while  
     (HilfsZufallszahl == Zufallszahl);    
  Zufallszahl = HilfsZufallszahl;       
}

